require 'psych'

module Remenv
  module Config
    extend self

    def load(filename: '.remenv.yml', stage: :development)
      if File.exist?(filename)
        loaded = Psych.load_file(filename)
        loaded[stage] || loaded[stage.to_s]
      else
        {}
      end
    end
  end
end
